Page MenuHomePhabricator

"Warning: A non-numeric value encountered" from GeoData/CoordinatesParserFunction
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error

Request ID: XJPrewpAMFUAAHTlVngAAABM (page views and API requests on various wikis)

message
ErrorException from line 188 of /srv/mediawiki/php-1.33.0-wmf.22/extensions/GeoData/includes/CoordinatesParserFunction.php: PHP Warning: A non-numeric value encountered
trace
#1 /srv/mediawiki/php-1.33.0-wmf.22/extensions/GeoData/includes/CoordinatesParserFunction.php(55): GeoData\CoordinatesParserFunction->applyTagArgs(GeoData\Coord)
#2 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Parser.php(3515): GeoData\CoordinatesParserFunction->coordinates(Parser, PPTemplateFrame_DOM, array)
#3 /srv/mediawiki/php-1.33.0-wmf.22/extensions/Scribunto/includes/engines/LuaCommon/LuaCommon.php(780): Parser->callParserFunction(PPTemplateFrame_DOM, string, array)
#4 /srv/mediawiki/php-1.33.0-wmf.22/extensions/Scribunto/includes/engines/LuaSandbox/Engine.php(393): Scribunto_LuaEngine->callParserFunction(string, string, array)
#5 [internal function]: Scribunto_LuaSandboxCallback->__call(string, array)
#6 /srv/mediawiki/php-1.33.0-wmf.22/extensions/Scribunto/includes/engines/LuaSandbox/Engine.php(316): LuaSandboxFunction->call(LuaSandboxFunction)
#7 /srv/mediawiki/php-1.33.0-wmf.22/extensions/Scribunto/includes/engines/LuaCommon/LuaCommon.php(296): Scribunto_LuaSandboxInterpreter->callFunction(LuaSandboxFunction, LuaSandboxFunction)
#8 /srv/mediawiki/php-1.33.0-wmf.22/extensions/Scribunto/includes/engines/LuaCommon/LuaCommon.php(982): Scribunto_LuaEngine->executeFunctionChunk(LuaSandboxFunction, PPTemplateFrame_DOM)
#9 /srv/mediawiki/php-1.33.0-wmf.22/extensions/Scribunto/includes/common/Hooks.php(128): Scribunto_LuaModule->invoke(string, PPTemplateFrame_DOM)
#10 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Parser.php(3515): ScribuntoHooks::invokeHook(Parser, PPTemplateFrame_DOM, array)
#11 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Parser.php(3222): Parser->callParserFunction(PPTemplateFrame_DOM, string, array)
#12 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Preprocessor_DOM.php(1279): Parser->braceSubstitution(array, PPTemplateFrame_DOM)
#13 /srv/mediawiki/php-1.33.0-wmf.22/extensions/ParserFunctions/includes/ExtParserFunctions.php(231): PPFrame_DOM->expand(DOMElement)
#14 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Parser.php(3515): ExtParserFunctions::switchObj(Parser, PPTemplateFrame_DOM, array)
#15 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Parser.php(3222): Parser->callParserFunction(PPTemplateFrame_DOM, string, array)
#16 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Preprocessor_DOM.php(1279): Parser->braceSubstitution(array, PPTemplateFrame_DOM)
#17 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Preprocessor_DOM.php(1729): PPFrame_DOM->expand(DOMElement, integer)
#18 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Parser.php(3393): PPTemplateFrame_DOM->cachedExpand(string, PPNode_DOM)
#19 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Preprocessor_DOM.php(1279): Parser->braceSubstitution(array, PPFrame_DOM)
#20 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Parser.php(3036): PPFrame_DOM->expand(DOMElement, integer)
#21 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Parser.php(1354): Parser->replaceVariables(string)
#22 /srv/mediawiki/php-1.33.0-wmf.22/includes/parser/Parser.php(482): Parser->internalParse(string)
#23 /srv/mediawiki/php-1.33.0-wmf.22/includes/content/WikitextContent.php(369): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
#24 /srv/mediawiki/php-1.33.0-wmf.22/includes/content/AbstractContent.php(555): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
#25 /srv/mediawiki/php-1.33.0-wmf.22/includes/Revision/RenderedRevision.php(265): AbstractContent->getParserOutput(Title, integer, ParserOptions, boolean)
#26 /srv/mediawiki/php-1.33.0-wmf.22/includes/Revision/RenderedRevision.php(234): MediaWiki\Revision\RenderedRevision->getSlotParserOutputUncached(WikitextContent, boolean)
#27 /srv/mediawiki/php-1.33.0-wmf.22/includes/Revision/RevisionRenderer.php(193): MediaWiki\Revision\RenderedRevision->getSlotParserOutput(string)
#28 /srv/mediawiki/php-1.33.0-wmf.22/includes/Revision/RevisionRenderer.php(142): MediaWiki\Revision\RevisionRenderer->combineSlotOutput(MediaWiki\Revision\RenderedRevision, array)
#29 [internal function]: MediaWiki\Revision\RevisionRenderer->MediaWiki\Revision\{closure}(MediaWiki\Revision\RenderedRevision, array)
#30 /srv/mediawiki/php-1.33.0-wmf.22/includes/Revision/RenderedRevision.php(197): call_user_func(Closure, MediaWiki\Revision\RenderedRevision, array)
#31 /srv/mediawiki/php-1.33.0-wmf.22/includes/poolcounter/PoolWorkArticleView.php(194): MediaWiki\Revision\RenderedRevision->getRevisionParserOutput()
#32 /srv/mediawiki/php-1.33.0-wmf.22/includes/poolcounter/PoolCounterWork.php(123): PoolWorkArticleView->doWork()
#33 /srv/mediawiki/php-1.33.0-wmf.22/includes/page/Article.php(773): PoolCounterWork->execute()
#34 /srv/mediawiki/php-1.33.0-wmf.22/includes/actions/ViewAction.php(68): Article->view()
#35 /srv/mediawiki/php-1.33.0-wmf.22/includes/MediaWiki.php(501): ViewAction->show()
#36 /srv/mediawiki/php-1.33.0-wmf.22/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
#37 /srv/mediawiki/php-1.33.0-wmf.22/includes/MediaWiki.php(867): MediaWiki->performRequest()
#38 /srv/mediawiki/php-1.33.0-wmf.22/includes/MediaWiki.php(517): MediaWiki->main()
#39 /srv/mediawiki/php-1.33.0-wmf.22/index.php(42): MediaWiki->run()

Impact

Unknown.

Notes

New in 1.33-wmf.22. The problem affects both HHVM and PHP 7.2, but only PHP 7.2 is able to tell Logstash about it, hence its volume is estimated to be higher than what we see in Logstash, given PHP 7.2 is still in beta.

Event Timeline

Krinkle created this task.Mar 21 2019, 8:21 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptMar 21 2019, 8:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Also found on 1.33.0-wmf.21, although not as often, but that might be to a shift in user activity, not due to a change. May've regressed last week instead.

MaxSem claimed this task.Mar 21 2019, 9:09 PM

Change 498243 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/GeoData@master] Better testing for bogus scale values

https://gerrit.wikimedia.org/r/498243

Change 498243 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] Better testing for bogus scale values

https://gerrit.wikimedia.org/r/498243

Umherirrender closed this task as Resolved.Mar 23 2019, 10:29 AM
Umherirrender triaged this task as Medium priority.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM